Bug 17713 - Members.t is failing randomly
Summary: Members.t is failing randomly
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16276
Blocks: 17733
  Show dependency treegraph
 
Reported: 2016-12-02 15:10 UTC by Jonathan Druart
Modified: 2016-12-06 16:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17713: Fix Members.t tests (1.79 KB, patch)
2016-12-02 15:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17713: Fix Members.t tests (1.85 KB, patch)
2016-12-02 16:22 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17713: Fix Members.t tests (1.89 KB, patch)
2016-12-05 13:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-12-02 15:10:41 UTC

    
Comment 1 Jonathan Druart 2016-12-02 15:12:24 UTC
Created attachment 57928 [details] [review]
Bug 17713: Fix Members.t tests

If the category_type is 'S', GetBorrowersToExpunge won't return the
patron.

Test plan:
  t/db_dependent/Members.t
should always return green
Comment 2 Josef Moravec 2016-12-02 15:50:43 UTC
Sorry, but this does not work for me, sometimes it does fail GetBorrowersToExpunge test, one or even more...
Comment 3 Jonathan Druart 2016-12-02 16:09:20 UTC
(In reply to Josef Moravec from comment #2)
> Sorry, but this does not work for me, sometimes it does fail
> GetBorrowersToExpunge test, one or even more...

Paste the output please
Comment 4 Josef Moravec 2016-12-02 16:20:53 UTC
Sorry, my mistake, I had to accidentaly change branch after applying this... I wonder how it could happen...

Now I am running Members.t again and again and it's still green...
Comment 5 Josef Moravec 2016-12-02 16:22:27 UTC
Created attachment 57932 [details] [review]
[SIGNED-OFF] Bug 17713: Fix Members.t tests

If the category_type is 'S', GetBorrowersToExpunge won't return the
patron.

Test plan:
  t/db_dependent/Members.t
should always return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Tomás Cohen Arazi 2016-12-05 13:27:34 UTC
Created attachment 57962 [details] [review]
Bug 17713: Fix Members.t tests

If the category_type is 'S', GetBorrowersToExpunge won't return the
patron.

Test plan:
  t/db_dependent/Members.t
should always return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Kyle M Hall 2016-12-05 15:23:44 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 8 Katrin Fischer 2016-12-05 20:28:43 UTC
This patch has been pushed to 16.11.x, will be in 16.11.01.